//+------------------------------------------------------------------+
//|                                              iFractalChannel.mq4 |
//|                                                                * |
//|                                                                * |
//+------------------------------------------------------------------+
#property copyright "http://dmffx.com"
#property link      "http://dmffx.com"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Silver
#property indicator_color2 Silver

   //    (  ) 

double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   
   SetIndexEmptyValue(0,0);
   SetIndexEmptyValue(1,0);
   
   SetIndexLabel(0,"Upper");
   SetIndexLabel(1,"Lower");
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start(){

         int limit=Bars-IndicatorCounted();

            for(int i=limit-1;i>=0;i--){
               ExtMapBuffer1[i]=ExtMapBuffer1[i+1];
               ExtMapBuffer2[i]=ExtMapBuffer2[i+1];
               double fract_upper=iFractals(NULL,0,MODE_UPPER,i);
               double fract_lower=iFractals(NULL,0,MODE_LOWER,i);
               if(fract_upper!=0)ExtMapBuffer1[i]=fract_upper;
               if(fract_lower!=0)ExtMapBuffer2[i]=fract_lower;
            }

   return(0);
}

